Cheat Engine Forum Index Cheat Engine
The Official Site of Cheat Engine
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


Problem: Cheat Engine Hangs on Installation via protontricks

 
Post new topic   Reply to topic    Cheat Engine Forum Index -> Cheat Engine
View previous topic :: View next topic  
Author Message
Bullhornbust
How do I cheat?
Reputation: 0

Joined: 16 Sep 2022
Posts: 2

PostPosted: Fri Sep 16, 2022 4:53 pm    Post subject: Problem: Cheat Engine Hangs on Installation via protontricks Reply with quote

Hello,

As the subject title states clearly enough this question is based on running Cheat Engine through Linux. I am aware that Cheat Engine is not supported under Linux but any help that I could get is nonetheless appreciated.

I am a Linux user and have run into a problem getting Cheat Engine to work through Proton. As I want to use it with a Steam-based game through Proton I have tried unsuccessfully to get Cheat Engine to work within protontricks as it hangs on the loading progress bar after the initial welcome screen in the installation file.

I have got it to install and work without any problems wine using winetricks but since wine and proton are run under different prefixes I am out of luck finding the game process in wine for a Proton-based game.

Are there any workarounds to this problem? I would use other Linux-based memory editors such as PINCE and Game Conqueror but they do not load cheat table files for games that I want to use them under.

Thank you all for any help that can be offered.
Back to top
View user's profile Send private message
ParkourPenguin
I post too much
Reputation: 138

Joined: 06 Jul 2014
Posts: 4275

PostPosted: Fri Sep 16, 2022 6:09 pm    Post subject: Reply with quote

The one time I tried to use protontricks, it messed up my terminal. (unrelated to CE)

I use this:
https://github.com/jcnils/protonhax

Along with this bash wrapper script:
Code:
#!/usr/bin/bash
set -o errexit
set -o pipefail
set -o nounset
#set -o xtrace

readarray -t appids < <(protonhax ls)

num=${#appids[@]}
app=""

if [ "$num" -eq 0 ]; then
   echo 'No games running.'
   exit 1
elif [ "$num" -gt 1 ]; then
   echo 'Appid:'
   select _app in "${appids[@]}"; do
      if [ -z "$_app" ]; then
         echo 'Invalid selection.'
         exit 1
      fi
      app="${_app}"
   done
else
   app="${appids[0]}"
fi

protonhax run "${app}" "$WINEPREFIX/drive_c/Program Files/Cheat Engine 7.4/Cheat Engine.exe"
You need to modify the game's launch command in steam

For native Linux games, use ceserver

_________________
I don't know where I'm going, but I'll figure it out when I get there.
Back to top
View user's profile Send private message
Dark Byte
Site Admin
Reputation: 457

Joined: 09 May 2003
Posts: 25262
Location: The netherlands

PostPosted: Sat Sep 17, 2022 12:54 am    Post subject: Reply with quote

just execute the installed CE files installed in wine under proton. CE doesn't care where it's located
_________________
Do not ask me about online cheats. I don't know any and wont help finding them.

Like my help? Join me on Patreon so i can keep helping
Back to top
View user's profile Send private message MSN Messenger
Bullhornbust
How do I cheat?
Reputation: 0

Joined: 16 Sep 2022
Posts: 2

PostPosted: Sun Sep 18, 2022 7:44 am    Post subject: Reply with quote

ParkourPenguin wrote:
The one time I tried to use protontricks, it messed up my terminal. (unrelated to CE)

I use this:
protonhax

Along with this bash wrapper script:
Code:
#!/usr/bin/bash
set -o errexit
set -o pipefail
set -o nounset
#set -o xtrace

readarray -t appids < <(protonhax ls)

num=${#appids[@]}
app=""

if [ "$num" -eq 0 ]; then
echo 'No games running.'
exit 1
elif [ "$num" -gt 1 ]; then
echo 'Appid:'
select _app in "${appids[@]}"; do
if [ -z "$_app" ]; then
echo 'Invalid selection.'
exit 1
fi
app="${_app}"
done
else
app="${appids[0]}"
fi

protonhax run "${app}" "$WINEPREFIX/drive_c/Program Files/Cheat Engine 7.4/Cheat Engine.exe"
You need to modify the game's launch command in steam

For native Linux games, use ceserver


Yeah I know now installing Protontricks was a mistake as not only it didn't help me with my problem but it messed up the game in question and how it started which took some additional time to fix in of itself. Winetricks is much more stable of a product, The posted instructions were too complicated to an already complicated affair but I appreciate any input I can get. I have found a fix on my own effort but again I appreciate the quick response.

Dark Byte wrote:
just execute the installed CE files installed in wine under proton. CE doesn't care where it's located


Thank you for the quick response but I had already tried that already. Since Wine and the game in question are two different closed systems or bottles I could start up CE in Wine but the process for the game I wanted to use it under was in Proton so of course it would not be located. I couldn't start CE in Proton because the installed files were under the Wine system and again if I tried to install CE in the game's Proton system the program would hang.

I found a solution and I am posting it for future readers that may be in the same boat I was. The game I am trying to use CE with is Just Cause 3 and was downloaded under Steam but this process could very well help fix the issue in playing other windows-based games and programs alongside CE in Linux as well.

1. I installed a separate Steam copy under the same Wine Windows system as the installed CE was located under.

2. I then installed a second separate copy of JC3 under that Wine Steam.

3. I also had to download and install the DXVK packages which are Vulkan-based translation layers for Direct3D located in your package manager because if you don't the game under Windows Wine will go to a black screen on startup and will never exit out or show anything.

4. I transferred my saved game files over to that Wine version of JC3 and got CE to recognize the process which allowed the cheat tables I wanted to use to work correctly.

5. When I was done using CE I transferred my new saved game files back over to my Proton-based copy of JC3 which I think runs better.

Thank you for listening to me ramble.

Quick Note: I had to edit the quote by Parkour Penguin and delete the Github address for Protonhax because the forum wouldn't allow me to post my message with the URL in it.
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    Cheat Engine Forum Index -> Cheat Engine All times are GMT - 6 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group

CE Wiki   IRC (#CEF)   Twitter
Third party websites